Skip to main content
`Ctrl`+`K`

# SVDCyclicGetExplicitMatrix

Returns the flag indicating if the cyclic matrix \(H(A)\) is built explicitly.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDCyclicGetExplicitMatrix(SVD svd,PetscBool *explicitmat)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- explicitmat - the mode flag

## See Also

SVD: Singular Value Decomposition, `SVDCYCLIC`, `SVDCyclicSetExplicitMatrix()`

## Level

advanced

## Location

src/svd/impls/cyclic/cyclic.c

## Implementations

SVDCyclicGetExplicitMatrix_Cyclic() in src/svd/impls/cyclic/cyclic.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages